# -----------------------------------------------------------
# Auflisten aller Eintrge und deren Werte eines Schlssels
# -----------------------------------------------------------
Push-Location
cd HKLM:\Software\microsoft\windows\currentversion\run
$RunValues = (Get-Itemproperty -path . | Select-String .).ToString().Split(";")
$A = $RunValues.Length-1
# Den ersten Eintrag anders behandeln wegen der geschweiften Klammer
$Eintrag = $RunValues[0].Substring(2).Split('=')[0]
$Wert = $RunValues[0].Substring(1).Split('=')[1]
$Wert = $Wert.SubString(0, $Wert.Length-1)
"Eintrag: $Eintrag Wert: $Wert"
# Gibt es noch weitere Eintrge?
if ($A -ge 1) {
 $RunValues = $RunValues[1..$($A)]
 $RunValues | foreach-object { "Eintrag: $($_.Substring(1).Split('=')[0]) Wert: $($_.Substring(1).Split('=')[1])" }
}
Pop-Location
