# -----------------------------------------------------------
# Auflisten aller IP-Adressen
# -----------------------------------------------------------
Get-Wmiobject -Class Win32_NetworkadapterConfiguration | `
 foreach-object { if ($_.DHCPEnabled -eq $True -and $_.IPAddress -ne $Null) `
  { if ($_.Description.IndexOf("-") -ge 0)
    {
     $Name = $_.Description.SubString(0, $_.Description.IndexOf("-"))
     }
  else
  {
     $Name = $_.Description.SubString(0, 48)
  }
  $Name + "1. IP-Adresse: " + $_.IPAddress[0]
  }
}
