# -----------------------------------------------------------
# Prft, ein Dell-Notebook einen "gefhrdeten" Akku enthlt
# Beispiel: X5875
# -----------------------------------------------------------
$Wc = New-Object net.webclient 
$Global:BatSeite = $wc.downloadstring("https://www.dellbatteryprogram.com/") 
$R = [regex]"&nbsp;([A-Z0-9][A-Z0-9][0-9][0-9][0-9])" 
$Matches = $R.matches($Global:BatSeite) 
Write-Host "Anzahl potenziell gefaehrlicher Akkutypen: $($Matches.Count) "
$Global:BatterieListe = $Matches | foreach {
  $_.Groups[1].Captures[0].value 
}
# Notebook kann auch mehrere Akkus enthalten
#$BatterieName = Get-WmiObject -Class Win32_Battery | Select-Object Name
Get-WmiObject -Class Win32_Battery | ForEach {
 $BatName = $_.Name
 $BatName 
 break
 # Nur zu Testzwecken
 # $BatName = "X5875"
 Write-Host "Akkumodell: $BatName"
# Kommt Akkutyp ueberhaupt vor?
 if ((select-string -pattern $BatName -InputObject $BatterieListe -Quiet) -eq $True)
 {
    $BatterieListe | Where {$BatName -match $_} | ForEach {
    Write-Warning "Betroffen: Akku $Name - Uebereinstimmungen: *$_*`n"
	}
 }
 else
 { "Akkutyp nicht in der Liste enthalten" }
}
