# ----------------------------------------------------
# Backup aller Ps1-Dateien des aktuellen Verzeichnisses
# ----------------------------------------------------
function BackupSkripts
{
  $SkriptPfad = "$env:UserProfile\EigeneSkripts"
  # Wenn es Pfad nicht gibt, dann anlegen
  if ((Test-Path $SkriptPfad) -eq $False)
  { New-Item $Skriptpfad -ItemType Directory }
  # Jetzt alle Ps1-Dateien kopieren
  Get-ChildItem *.ps1 | foreach-object {
    $Anzahl++
    Copy-Item $_ -Destination $SkriptPfad }
  write-host "$Anzahl Ps1-Dateien kopiert."
}

BackupSkripts