# ----------------------------------------------
# Eigenschaften von Usern im AD auflisten
# ----------------------------------------------
$SuchKategorie = "user"

$ADDomain = [ADSI]""

$ADSearcher = New-Object DirectoryServices.DirectorySearcher
$ADSearcher.SearchRoot = $ADDomain
$ADSearcher.Filter = ("(objectCategory=$SuchKategorie)")

# LDAP-Attributnamen hinzufgen
# Mail muss mit groem M geschrieben werden
$PropListe = "name", "description", "Mail"
[void] $ADSearcher.PropertiesToLoad.AddRange($PropListe)

$Ergebnisse = $ADSearcher.FindAll()

foreach ($Erg in $Ergebnisse)
{ 
    $ADUserProps = $Erg.Properties
# Hier muss mail mit kleinem m geschrieben werden
   write-host -fore gray "Name: $($ADUserProps.name), E-Mail: $($ADUserProps.mail)"
}
