# ------------------------------------------------
# Weblog nach IP-Adressen durchsuchen und IP-Adressen ausgeben
# ------------------------------------------------
Clear-Host
$WebLogPfad = "$Env:Systemroot\pfirewall.log"
$Muster = "[0-9]{2,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}"
$DateiInhalt = Get-Content $WebLogPfad
$m = [regex]::match($DateiInhalt, $Muster)
write-Host "Gefundene IP-Adressen:"
while ($m.Success)
{
  $m.value
  $m = $m.NextMatch()
}
