# ------------------------------------------------
# Kopiert Mp3-Dateien kleiner 5 MByte in ein neues Verzeichnis
# ------------------------------------------------
Push-Location
$MusikPfad = "$env:userprofile\Eigene Dateien\Eigene Musik"
Set-Location $MusikPfad
$DateiListe = Get-Childitem "*.mp3"
$Mp3Dir = (Resolve-Path "$env:userprofile\Eigene Dateien\Eigene Musik\mp3" -ea silentlycontinue)
write-host $DateiListe.Count " Dateien gefunden"
if ($Mp3Dir -eq $Null)
{
  New-Item "$env:userprofile\Eigene Dateien\Eigene Musik\mp3" -Type Directory
  # Meldung nur zur Kontrolle
  write-host "Mp3-Unterverzeichnis wurde angelegt"
}

$DateiListe | % {

 If ($_.Length -lt 5E6)
 {
   Copy-Item $_ -destination mp3
   $Anzahl +=1
 }
}
write-host $Anzahl "Mp3-Dateien kopiert..."
Pop-Location
