# -----------------------------------------------------------
# Listet die Namen aller installierten Anwendungen auf
# -----------------------------------------------------------
$KeyPfad = "Software\Microsoft\Windows\CurrentVersion\Uninstall"
$Key = [Microsoft.Win32.Registry]::LocalMachine.OpenSubKey($KeyPfad)
$Keys = ($Key).GetSubKeyNames()
$Anzahl = 0 
foreach ($K In $Keys) { 
  $SubKeyPfad = $KeyPfad + "\" + $K
  $SubKey = [Microsoft.Win32.Registry]::LocalMachine.OpenSubKey($SubKeyPfad)
  ($SubKey).GetValue("DisplayName")
  $Anzahl++
}
$Key.Close()
write-host "$Anzahl Anwendungen gefunden..."
