# -----------------------------------------------------------
# Fehlerinformation ausgeben
# -----------------------------------------------------------
function ErrorInfo ()
{
  param ([Management.Automation.ErrorRecord]$ER)
  Write-Host "**************************"
  Write-Host "        Fehlerinfo        "
  Write-Host "Fehlertyp: " $ER.Exception.GetType().Name
  Write-Host "Fehlerquelle: " $ER.InvocationInfo.Line	
  Write-Host "**************************"
}
# Alle Fehler lschen
$Error.Clear()
# Fehler erzeugen
get-item "GibtEsNicht.txt" -ErrorAction SilentlyContinue
# Fehlerinfo anzeigen
ErrorInfo $Error[0]
