# ------------------------------------------------
# Alle Exe-Dateien im Suchpfad auflisten
# ------------------------------------------------
$Pfad = $env:Path
$Pfade = $Pfad.Split(";")
$Gesamt = 0
foreach ($P In $Pfade)
{
  Write-Host -foregroundcolor Yellow "Exe-Dateien in $P"
  Write-Host "=========================================="
  if ($P -ne "")
  { Get-Childitem *.exe -path $P | format-wide name
  $Anzahl = (Get-Childitem *.exe -path $P).Count
  $Gesamt += $Anzahl
  Write-Host -foregroundcolor green "Anzahl Dateien: $Anzahl"
  }
}
 Write-Host "Gesamte Anzahl an Dateien: $Gesamt"
