# -----------------------------------------------------------
# Beispiel fr switch-Parameter
# -----------------------------------------------------------
function OSVersion
(
  [switch] $all
)
{
  $OS = Get-WmiObject -class Win32_OperatingSystem
  if ($all)
  {
    "Build-Nummer: " + $OS.BuildNumber
    "Seriennummer: " + $OS.SerialNumber
    "Service-Pack: " + $OS.ServicePackMajorVersion + "." + $OS.ServicePackMinorVersion
  }
  "Version: " + $OS.BuildNumber
}
