# -----------------------------------------------------------
# Prfen, ob SPs installiert sind
# -----------------------------------------------------------
if ((test-path Computerliste.txt) -and (get-item Computerliste.txt).Length -gt 0)
{
 Get-Content Computerliste.txt | Foreach-Object {
  if ((get-wmiobject Win32_OperatingSystem -Computer `
       $_).ServicePackMajorversion -gt 0)
  {
    "Auf Computer $_ ein Service-Pack ist installiert."
  }
 }
}
else
{ write-host -fore red "Computerliste.txt nicht gefunden oder leer." }
