# ----------------------------------------------------
# Kleine Statistik der Ps1-Files im aktuellen Verzeichnis
# ----------------------------------------------------
Clear-Host
Push-Location
Set-Location $env:userprofile
Write-Host "Alle Ps1-Skripts im Verzeichnis: $env:userprofile"
$Liste = New-Object Collections.SortedList
Set-PSDebug -off
Get-ChildItem -Filter *.ps1 | Foreach-Object  {
  $Zeilen = Get-Content $_
  $AnzahlZeilen = $Zeilen.Count
  if ($AnzahlZeilen -eq $Null) { $AnzahlZeilen = 0 }
  "Skript: $_ Anzahl Zeilen: $($Zeilen.Count)";
  $Liste.Add($_.Name, $AnzahlZeilen)
}
# Ab hier wird es recht speziell dank der Klassen DataTable und DataView
$Ta = New-Object Data.DataTable
[void]$Ta.Columns.Add("Dateiname", [string])
[void]$Ta.Columns.Add("Zeilen",[int])
foreach ($Key in $Liste.Keys) 
{ $Neu = $Ta.NewRow();$Neu.Item("Dateiname")=$Key;$Neu.Item("Zeilen")=$Liste[$Key]; $Ta.Rows.Add($Neu)}
$DvSortiert = New-Object Data.DataView($Ta)
$DvSortiert.Sort = "Zeilen Desc"
$DvSortiert
Pop-Location